Loading...
Searching...
No Matches
bsoncxx::v_noabi::types::b_date Struct Reference

`#include <bsoncxx/v_noabi/bsoncxx/types.hpp>`

## Description

A BSON date value.

## Public Member Functions

| b_date (std::chrono::milliseconds value)
| Constructor for b_date.
| b_date (std::chrono::system_clock::time_point const &tp)
| Constructor for b_date.
| operator int64_t () const
| Conversion operator unwrapping a int64_t.
int64_t | to_int64 () const
| Manually convert this b_date to an int64_t.

## Related Symbols

(Note that these are not member symbols.)
bool | operator!= (b_date const &lhs, b_date const &rhs)
| free function comparator for b_date
bool | operator== (b_date const &lhs, b_date const &rhs)
| free function comparator for b_date

## Constructor & Destructor Documentation

## b_date() [1/2]

bsoncxx::v_noabi::types::b_date::b_date | ( | std::chrono::milliseconds | value | ) |

inline explicit

Constructor for b_date.

Parameters

  value | Milliseconds since the system_clock epoch.

## b_date() [2/2]

bsoncxx::v_noabi::types::b_date::b_date | ( | std::chrono::system_clock::time_point const & | tp | ) |

inline explicit

Constructor for b_date.

Parameters

  tp | A system_clock time_point.

## Member Function Documentation

## operator int64_t()

bsoncxx::v_noabi::types::b_date::operator int64_t | ( |  | ) | const

inline

Conversion operator unwrapping a int64_t.

## to_int64()

int64_t bsoncxx::v_noabi::types::b_date::to_int64 | ( |  | ) | const

inline

Manually convert this b_date to an int64_t.

## Friends And Related Symbol Documentation

## operator!=()

bool operator!= | ( | b_date const & | lhs,
|  | b_date const & | rhs )

related

free function comparator for b_date

## operator==()

bool operator== | ( | b_date const & | lhs,
|  | b_date const & | rhs )

related

free function comparator for b_date

The documentation for this struct was generated from the following file:

- bsoncxx/v_noabi/bsoncxx/types.hpp